JP(1)

NAME
jp - Salut à Toi's command-line interface

SYNOPSIS
jp [options] [FILE1 [FILE2 [...]]] JID jp -w [options] [JID1 [JID2 [...]]] jp --help

DESCRIPTION
Jp is Salut à Toi's non-interactive command-line interface. With Jp, you can:

•   send or receive files directly from a shell

•   pipe commands to or from XMPP

•   use XMPP easily in a script

OPTIONS

--profile=PROFILE
-p PROFILE
    select the profile to use

--bz2
-b
    make a bzip2 tarball of the files prior to send them

--wait-file
-w
    wait for a file to be sent by a contact

--multiple
-m
    accept multiple files (you'll have to stop manually)

--force
-f
    force overwritting existing files, if any

--progress
-g
    show progress bar

--separate
-s
    separate XMPP messages: send one message per line instead of one single message

--new-line
-n
    add a new line at the beginning of the input (useful for ASCII art!)

--connect
    connect the profile before doing anything else

--pipe-in
    wait for the reception of a pipe stream

--pipe-out
    pipe a stream out

--version
    show version number and quit

--help
-h
    display a help message and quit

SEE ALSO
sat(1)

AUTHORS AND COPYING
Salut à Toi was written by Jérôme Poisson <goffi@goffi.org>. This man page was converted from the help message and Salut à Toi's wiki by Matteo Cypriani <mcy@lm7.fr> for the Debian distribution. It is released under the terms of the Creative Commons Attribution-ShareAlike 3.0 Unported license (CC-By-SA 3.0).